de.esprit.common.gui.util

## Class ShadowBorder

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.border.BevelBorder
    - - de.esprit.common.gui.util.ShadowBorder

- All Implemented Interfaces:
    java.io.Serializable, javax.swing.border.Border

      public class ShadowBorder
      extends javax.swing.border.BevelBorder

  Prints a configurable shadowed border
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.border.BevelBorder

      `bevelType, highlightInner, highlightOuter, LOWERED, RAISED, shadowInner, shadowOuter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShadowBorder(int bevelType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Insets` | `getBorderInsets(java.awt.Component c)`
    `java.awt.Insets` | `getBorderInsets(java.awt.Component c, java.awt.Insets insets)`
    `protected void` | `paintLoweredBevel(java.awt.Component c, java.awt.Graphics g, int x, int y, int w, int h)`
    `protected void` | `paintRaisedBevel(java.awt.Component c, java.awt.Graphics g, int x, int y, int w, int h)`

    - ### Methods inherited from class javax.swing.border.BevelBorder

      `getBevelType, getHighlightInnerColor, getHighlightInnerColor, getHighlightOuterColor, getHighlightOuterColor, getShadowInnerColor, getShadowInnerColor, getShadowOuterColor, getShadowOuterColor, isBorderOpaque, paintBorder`

    - ### Methods inherited from class javax.swing.border.AbstractBorder

      `getBaseline, getBaselineResizeBehavior, getInteriorRectangle, getInteriorRectangle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ShadowBorder

          public ShadowBorder(int bevelType)

  - ### Method Detail

    - #### getBorderInsets

          public java.awt.Insets getBorderInsets(java.awt.Component c)

      Specified by:
        `getBorderInsets` in interface `javax.swing.border.Border`
      Overrides:
        `getBorderInsets` in class `javax.swing.border.AbstractBorder`

    - #### getBorderInsets

          public java.awt.Insets getBorderInsets(java.awt.Component c,
                                        java.awt.Insets insets)

      Overrides:
        `getBorderInsets` in class `javax.swing.border.BevelBorder`

    - #### paintRaisedBevel

          protected void paintRaisedBevel(java.awt.Component c,
                              java.awt.Graphics g,
                              int x,
                              int y,
                              int w,
                              int h)

      Overrides:
        `paintRaisedBevel` in class `javax.swing.border.BevelBorder`

    - #### paintLoweredBevel

          protected void paintLoweredBevel(java.awt.Component c,
                               java.awt.Graphics g,
                               int x,
                               int y,
                               int w,
                               int h)

      Overrides:
        `paintLoweredBevel` in class `javax.swing.border.BevelBorder`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.